import request from '@/utils/request'

export function index(params, isLoading = true) {
  return request({
    method: 'get',
    url: '/api/oa/attendance/index',
    params,
    isLoading
  })
}

export function sign(params,isLoading = true) {
  return request({
    method: 'get',
    url: '/api/oa/attendance/sign',
    params,
    isLoading
  })
}

export function statistics(params,isLoading= true) {
  return request({
    method: 'get',
    url: '/api/oa/attendance/statistics',
    params,
    isLoading
  })
}

export function preDistance(params) {
  return request({
    method: 'get',
    url: '/api/oa/attendance/pre-distance',
    params
  })
}
